#!/bin/bash
#
# Script de Configuracao das Impressoras do CICA
# para o Ubuntu Edicao FEUPlive 2.0
# Versoes 1.x (C) 2007-2008 Filipe Carvalho e Jose Gaspar
# Versoes 2.x (C) 2009 Filipe Carvalho
# Lancado sob a licenca GNU GPLv3
#

# faz backup das configuracoes existentes, se existirem
if [ -e /etc/cups/printers.conf ] ; then
    mv -f /etc/cups/printers.conf /etc/cups/printers.conf.tmp	          
fi

[ "`id -u`" != "0" ] && exec sudo "$0" "$@"

USERN=$(zenity --entry --title="Configuração do Sistema de Impressão da FEUP" --width=500 --text "Insira o seu login da FEUP:" --entry-text "login da feup"); 

PASSW=$(zenity --entry --title="Configuração do Sistema de Impressão da FEUP" --width=500 --text "Insira a sua password da FEUP:" --hide-text); 

cat >>/etc/cups/printers.conf <<EOF
# Printer configuration file generated by printerconfig.sh
# Ubuntu Edicao FEUPlive v2009 (2009)

# Impressora Geral_A4
<Printer Geral_A4>
Info Impressora Geral do CICA para impressao a Preto e Branco A4
Location Consultar SiFEUP para encontrar localizacoes destas Impressoras
DeviceURI smb://$USERN:$PASSW@FEUPsig/printsrv.fe.up.pt/Geral_A4
State Idle
StateTime 1149097809
Accepting Yes
Shared No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>

# Impressora Geral_A3
<Printer Geral_A3>
Info Impressora Geral do CICA para impressao a Preto e Branco A3
Location Consultar SiFEUP para encontrar localizacoes destas Impressoras
DeviceURI smb://$USERN:$PASSW@FEUPsig/printsrv.fe.up.pt/Geral_A3
State Idle
StateTime 1149097809
Accepting Yes
Shared No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>

# Impressora Geral_Cor_A4
<Printer Geral_Cor_A4>
Info Impressora Geral_Cor_A4 do CICA
Location Consultar SiFEUP para encontrar localizacoes destas Impressoras
DeviceURI smb://$USERN:$PASSW@FEUPsig/printsrv.fe.up.pt/Geral_Cor_A4
State Idle
StateTime 1149097809
Accepting Yes
Shared No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>

# Impressora Geral_Cor_A3
<Printer Geral_Cor_A3>
Info Impressora Geral_Cor_A3 do CICA
Location Consultar SiFEUP para encontrar localizacoes destas Impressoras
DeviceURI smb://$USERN:$PASSW@FEUPsig/printsrv.fe.up.pt/Geral_Cor_A3
State Idle
StateTime 1149097809
Accepting Yes
Shared No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>
EOF

ln -s /usr/share/ppd/cups-included/feup_g_a4.ppd /etc/cups/ppd/Geral_A4.ppd
ln -s /usr/share/ppd/cups-included/feup_g_a3.ppd /etc/cups/ppd/Geral_A3.ppd
ln -s /usr/share/ppd/cups-included/feup_g_c_a4.ppd /etc/cups/ppd/Geral_Cor_A4.ppd
ln -s /usr/share/ppd/cups-included/feup_g_c_a3.ppd /etc/cups/ppd/Geral_Cor_A3.ppd

/etc/init.d/cups restart

zenity --info --title="Configuração do Sistema de Impressão da FEUP" --width=500 --text "As impressoras foram configuradas com sucesso!\n\nNão se esqueça que sempre que alterar a password da FEUP necessitará de voltar a executar este configurador."

# Fim do Script
